<style>
	#mcp-erx-and-orders-filters label {
		font-weight: bold;
	}

	#mcp-erx-and-orders-filters .mw-100px {
		min-width: 100px;
	}
	.filter-container {
		display: flex;
		align-items: flex-start;
		flex-wrap: wrap;
	}
	.filter-container >div {
		width: 165px;
	}
	.filter-container >div:not(:last-child) {
		margin-right: 15px;
	}
</style>
<form id="mcp-erx-and-orders-filters" method="GET" action="{{ route('mcp.notes') }}" class="filter-container" v-cloak>
	<!-- DATE	 -->
	<div>
		<div class="form-group">
			<label>Date:</label>
			<select name="date_category" class="form-control input-sm" v-model="filters.date_category">
				<option value="">All</option>
				<option value="EXACTLY">Exactly</option>
				<option value="LESS_THAN">Less Than</option>
				<option value="GREATER_THAN">Greater Than</option>
				<option value="BETWEEN">Between</option>
				<option value="NOT_BETWEEN">Not Between</option>
			</select>
			<div v-show="filters.date_category" class="mt-2">
				<div>
					<input  name="date_value_1" v-model="filters.date_value_1" type="date" class="form-control input-sm"/>
				</div>
				<div v-show="filters.date_category === 'BETWEEN' || filters.date_category === 'NOT_BETWEEN'" class="mt-2">
					<input name="date_value_2" v-model="filters.date_value_2" type="date" class="form-control input-sm"/>
				</div>
			</div>
		</div>
	</div>
	<!-- STATUS -->
	<div>
		<div class="form-group">
			<label>Status:</label>
			<select name="status" class="form-control input-sm" v-model="filters.status">
				<option value="">All</option>
				<option value="CREATED">CREATED</option>
				<option value="SENT">SENT</option>
				<option value="RECEIVED_BY_CLIENT">RECEIVED BY CLIENT</option>
				<option value="RECEIPT_CONFIRMED_BY_FACILITY">RECEIPT CONFIRMED BY FACILITY</option>
				<option value="CANCELLED">CANCELLED</option>
			</select>
		</div>
	</div>

	<div>
		<div class="form-group">
			<label>&nbsp;</label>
			<div class="d-flex">
				<button type="submit" v-on:click.prevent="doSubmit()" class="btn btn-primary btn-sm mr-2"><i class="fas fa-filter"></i> Filter</button>
				<a href="#" v-on:click.prevent="fastLoad('{{route('mcp.erx_and_orders')}}')" class="btn btn-link btn-sm text-danger">Clear Filters</a>
			</div>
		</div>
	</div>
</form>
<?php
$loadedFilters = $filters;
$allFilterKeys = [
	'date_category',
	'date_value_1',
	'date_value_2',
	'status'
];
for ($i=0; $i < count($allFilterKeys); $i++) {
	if (!isset($loadedFilters[$allFilterKeys[$i]]) || !$loadedFilters[$allFilterKeys[$i]]) {
		$loadedFilters[$allFilterKeys[$i]] = '';
	}
}
?>
<script>
	(function() {
		function init() {
			window.apapp = new Vue({
				el: '#mcp-erx-and-orders-filters',
				delimiters: ['@{{', '}}'],
				data: {
					filters: <?= json_encode($loadedFilters) ?>
				},
				methods: {
					doSubmit: function() {
						fastLoad('{{ route("mcp.erx_and_orders") }}?' + $('#mcp-erx-and-orders-filters').serialize());
						return false;
					},
					init: function() {

					}
				},
				mounted: function() {
					this.init();
				},
			});


		}
		addMCInitializer('mcp-erx-and-orders-filters', init, '#mcp-erx-and-orders-filters');
	})();
</script>
