<div class="row">
	<div class="col-md-12 bg-light p-3 mb-2">
		<h5 class="m-0 font-weight-bold">Patient Name / Demographics:</h5>
	</div>
	<div class="col-md-12 form-group mt-2">
		<div class="d-md-flex align-items-center">
			<label class="font-weight-bold m-0 w-25">Name:</label>
			<input autocomplete="_blank" type="text" name="patientNamePrefix" placeholder="Prefix" class="ml-2 mb-md-0 mb-2 form-control input-sm w-md-50">
			<input autocomplete="_blank" type="text" required name="patientNameFirst" placeholder="First*" required class="ml-2 mb-md-0 mb-2 form-control input-sm">
			<input autocomplete="_blank" type="text" name="patientNameMiddle" placeholder="Middle" class="ml-2 mb-md-0 mb-2 form-control input-sm">
			<input autocomplete="_blank" type="text" name="patientNameLast" placeholder="Last*" required class="ml-2 mb-md-0 mb-2 form-control input-sm">
			<input autocomplete="_blank" type="text" name="patientNameSuffix" placeholder="Suffix" class="ml-2 mb-md-0 mb-2 form-control input-sm w-md-50">
		</div>
	</div>
	<div class="col-md-12">
		<div class="row form-group align-items-center">
				<label class="col col-label font-weight-bold m-0">Email:</label>
			<div class="col-md-10">
				<input class='form-control' type='email' placeholder="Email Address" name='emailAddress'>
			</div>
		</div>
	</div>
	<div class="col-md-12">
		<div class="row form-group align-items-center">
				<label class="col-md-2 pr-0 font-weight-bold m-0">Gender:</label>
				<div class="col-md-10">
					<select class="form-control input-sm" name="patientSex" select2>
						<option value="">--</option>
						<option value="M">Male</option>
						<option value="F">Female</option>
						<option value="UNKNOWN">Unknown</option>
					</select>
				</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-12">
		<div class="row align-items-center form-group">
			<label class="col-md-2 pr-0 font-weight-bold m-0">DOB: <span class="text-danger">*</span></label>
			<div class="col-md-10">
				<input type="date" required name="patientDob" value="" class="form-control input-sm" max="{{date('Y-m-d')}}">
			</div>
		</div>
	</div>

	<div class="col-12">
		<div class="row align-items-center form-group">
			<label class="col-md-2 pr-0 font-weight-bold m-0">Service:</label>
			<div class="col-md-10">
				<input type="date" name="dateOfService" value="{{date('Y-m-d')}}" class="form-control input-sm">
			</div>
		</div>
	</div>



</div>
@if($pro->pro_type === 'ADMIN')
<div class="row">
	<div class="col-12">
		<div class="row align-items-center form-group">
			<label class="col-md-2 pr-0 font-weight-bold m-0">HCP Pro:</label>
			<div class="col-md-10">
				<select name="hcpProUid" class="form-control input-sm" provider-search provider-type="hcp">
					<option value="">--select--</option>
				</select>
			</div>
		</div>
	</div>
	<div class="col-12">
		<div class="row align-items-center form-group">
			<label class='col-md-2 pr-0 font-weight-bold m-0' style="font-size:10px !important;">Coordinator:</label>
			<div class="col-md-10">
				<select name="assistantProUid" class="form-control input-sm" provider-search provider-type="default-na">
					<option value="">--select--</option>
				</select>
			</div>
		</div>
	</div>
</div>
@elseif($pro->is_hcp === true)
<div class="row">
	<div class="col-md-12">
		<div class='row form-group'>
				<label class="col-md-2 pr-0 font-weight-bold m-0">HCP Pro:</label>
			<div class="col-md-10">
				<input type="text" class="form-control" readonly value="{{$pro->displayName()}}">
				<input type="hidden" name="hcpProUid" value="{{$pro->uid}}">
			</div>
		</div>
	</div>
	<div class="col-12">
                <div class="row align-items-center form-group">
                        <label class='col-md-2 pr-0 font-weight-bold m-0' style="font-size:10px !important;">Coordinator:</label>
                        <div class="col-md-10">
                                <select name="assistantProUid" class="form-control input-sm" provider-search provider-type="default-na">
                                        <option value="">--select--</option>
                                </select>
                        </div>
                </div>
        </div>
</div>
@elseif($pro->isDefaultNA())
<div class="row">
	<div class="col-12">
		<div class="row align-items-center form-group">
				<label class="col-md-2 pr-0 font-weight-bold m-0">HCP Pro:</label>
				<div class="col-md-10">
				<?php $teams = $pro->teamsWhereAssistant; ?>
				<select name="hcpProUid" class="form-control">
					@if(count($teams) > 1)
					<option value="">--select--</option>
					@endif
					@foreach($teams as $team)
					<option value="{{$team->mcp->uid}}">{{$team->mcp->displayName()}}</option>
					@endforeach
				</select>
			</div>
		</div>
	</div>

	<div class="col-12">
		<div class="row align-items-center form-group">
			<label class='col-md-2 pr-0 font-weight-bold m-0'>Coordinator:</label>
			<div class="col-md-10">
				<input type="text" class="form-control" readonly value="{{$pro->displayName()}}">
				<input type="hidden" name="assistantProUid" value="{{$pro->uid}}">
			</div>
		</div>
	</div>


</div>
@endif
<div class="row">
	<div class="col-md-6 form-group">
		<div class="d-flex align-items-center">
			<label class='control-label m-0 d-flex align-items-center'>
				<span class="font-weight-bold">Home Phone:</span>
				<a v-if="form.homeNumber" @click="hpnToCpn" class="ml-1 px-1 on-hover-opaque hpn-to-cpn c-pointer">
					<i class="fa fa-arrow-right"></i>
				</a>
				<a v-if="form.cellNumber && form.homeNumber" @click="swapHpnCpn" class="ml-1 px-1 on-hover-opaque swap-pns c-pointer">
					<i class="fa fa-retweet"></i>
				</a>
			</label>
			<input class='form-control ml-2' placeholder="Home Phone" autocomplete="_blank" stag-input-phone type='tel' name='homeNumber' v-model="form.homeNumber">
			</select>
		</div>
	</div>
	<div class="col-md-6 form-group">
		<div class="d-flex align-items-center">
			<label class='control-label m-0 d-flex align-items-center'>
				<span class="font-weight-bold">Cell Phone:</span>
				<a v-if="form.cellNumber" @click="cpnToHpn" class="ml-1 px-1 on-hover-opaque cpn-to-hpn c-pointer">
					<i class="fa fa-arrow-left"></i>
				</a>
			</label>
			<input class='form-control ml-2' placeholder="Cell Phone" autocomplete="_blank" stag-input-phone type='tel' name='cellNumber' v-model="form.cellNumber">
			</select>
		</div>
	</div>
</div>


<div class='form-group mb-3'>
	<label class='control-label font-weight-bold'>How did you hear about the program?</label>
	<input class='form-control' type='text' name='source' />
</div>
