<?php
$displayData = [
	'icd_1' => [
		'title' => 'ICD 1',
		'reason' => $record->rm_reason_icd1,
		'description' => $record->rm_reason_icd1description
	],
	'icd_2' => [
		'title' => 'ICD 2',
		'reason' => $record->rm_reason_icd2,
		'description' => $record->rm_reason_icd2description
	],
	'icd_3' => [
		'title' => 'ICD 3',
		'reason' => $record->rm_reason_icd3,
		'description' => $record->rm_reason_icd3description
	],
	'icd_4' => [
		'title' => 'ICD 4',
		'reason' => $record->rm_reason_icd4,
		'description' => $record->rm_reason_icd4description
	],
];
if($recordType === 'NOTE'){
	$displayData['icd_1']['reason'] = $record->note_reason_icd1;
	$displayData['icd_1']['description'] = $record->note_reason_icd1description;
	$displayData['icd_2']['reason'] = $record->note_reason_icd2;
	$displayData['icd_2']['description'] = $record->note_reason_icd2description;
	$displayData['icd_3']['reason'] = $record->note_reason_icd3;
	$displayData['icd_3']['description'] = $record->note_reason_icd3description;
	$displayData['icd_4']['reason'] = $record->note_reason_icd4;
	$displayData['icd_4']['description'] = $record->note_reason_icd4description;
}

	$submitUrl = null;
	if(@$recordType === 'CLIENT') $submitUrl = '/api/client/putRmReasons';
	if(@$recordType === 'NOTE') $submitUrl = '/api/note/putReasons';
	if(@$recordType === 'CARE_MONTH') $submitUrl = '/api/careMonth/putRmReasons';
?>
<div>
	<div class="d-flex">
		<?php $emptyICDs = true; ?>
		<ul id="sortIcds{{@$recordType}}" class="pl-0 mb-0">
			@foreach($displayData as $rmKey=>$rmData)
				<?php
				$emptyICD = true;
				if (!empty($rmData['reason']) || !empty($rmData['description'])) {
					$emptyICDs = false;
					$emptyICD = false;
				}
				?>
				@if(!$emptyICD)
					<li title="Drag and drop to rearrange the order" class="d-block badge badge-info p-2 px-3 text-left mb-1 mr-2" id="{{$rmKey}}"><i class="fas fa-ellipsis-v"></i><i class="fas fa-ellipsis-v mr-2"></i> {{$rmData['reason']}} @if(!empty($rmData['description']))({{ $rmData['description'] }})@endif</li>
				@endif
			@endforeach
		</ul>
		@if($emptyICDs)
			@if($recordType == 'NOTE') <!-- Claim ICDs are empty -->
			<div class="d-flex">
				<div class="alert alert-danger p-1 mb-0">
					Please ensure you have specified ICD codes relevant to this note.
				</div>
			</div>
			@else
				@if($patient->is_eligible_for_rm == 'YES' || $patient->is_enrolled_in_rm == 'YES')
					<div class="d-flex">
						<div class="alert alert-danger p-1 mb-0">
							Please specify the relevant RM reason(s).
						</div>
					</div>
				@else
					<small class="text-dark">-</small>
				@endif
			@endif
		@endif
	</div>

	@if($record->rm_reason_memo)
	<div class="d-flex">
			<span class="text-secondary mr-2"><b>Memo:</b></span>
			<small class="">{{ $record->rm_reason_memo }}</small>
	</div>
	@endif
</div>
<script type="text/javascript">
	var initialOrder = <?= json_encode($displayData) ?>;

	$( function() {
		$( "#sortIcds{{@$recordType}}" ).sortable({
			stop: function(event, ui) {
				var els = $('.badge-info.ui-sortable-handle');
				var newOrder = {};
				for (var i = 0; i < els.length; i++) {
					var icd_num = els[i].id;
					newOrder["icd_"+ (1+i)] = initialOrder[icd_num]
				}
				var data = {
					uid: "{{$record->uid}}",
					reasonIcd1: newOrder['icd_1'].reason,
					reasonIcd1Description: newOrder['icd_1'].description,
					reasonIcd2: newOrder['icd_2'].reason,
					reasonIcd2Description: newOrder['icd_2'].description,
					reasonIcd3: newOrder['icd_3'].reason,
					reasonIcd3Description: newOrder['icd_3'].description,
					reasonIcd4: newOrder['icd_4'].reason,
					reasonIcd4Description: newOrder['icd_4'].description
				};
				$.post("{{$submitUrl}}", data, function(results){
					if (!results.success) {
						toastr.error(results.message || 'Failed to rearrange');
					}
			  });
			}
		});
	});
</script>
